Команда "Создать группу"

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std Group and the translation is 44% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎한국어

Std Group.svg Создать группу

Системное название
Std_Group
Расположение в меню
Древовидное представление → Правый клик на имени документа → Создать группу
Верстаки
Все
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Создать деталь, Выбрать группу, Переместить в группу

Описание

Std Group (internally called App DocumentObjectGroup) is a general purpose container that allows you to group different types of objects in the tree view, regardless of their data type. It is used as a simple folder to categorize and organize the objects in your model, in order to keep a logical structure. Std Groups may be nested inside other Std Groups.

The Std Group tool is not defined by a particular workbench, but by the base system, thus it is found in the structure toolbar that is available in all workbenches.

To group 3D objects as a single unit, with the intention of creating assemblies, use Std Part instead.

Std Group example.png

Various elements inside Std Groups in the tree view.

Применение

  1. Click on the name of the document in the tree view, open the context menu (right click), and choose Create group.
  2. Alternatively, press the Std Group.svg Group button in the structure toolbar. An empty Group is created.
  3. To add objects to a Group, select them in tree view, and then drag and drop them over the Group.
  4. To remove objects from a Group, drag them out of the Group, and onto the document label at the top of the tree view.

Примечания

  • The Group object does not affect the positions in the 3D view of the elements that it contains; it is essentially just a folder that is used to keep the tree view organized.
  • The Group can also be created from the Python console, and sub-classed to create special "groups", as indicated in the Scripting section.

Свойства

A Std Group is internally called App DocumentObjectGroup (App::DocumentObjectGroup class), and is derived from the basic App DocumentObject (App::DocumentObject class), therefore it shares all the latter's properties.

In addition to the properties described in App FeaturePython, which is the most basic instance of an App DocumentObject, the App DocumentObjectGroup has the ДанныеGroup property.

These are the properties available in the property editor. Hidden properties can be shown by using the Show all command in the context menu of the property editor.

Данные

Основные

  • ДанныеLabel (String): the user editable name of this object, it is an arbitrary UTF8 string.
  • ДанныеGroup (LinkList): a list of referenced objects. By default, it is empty [].

Скрытые свойства Данных

  • ДанныеProxy (PythonObject): a custom class associated with this object. This only exists for the Python version. See Scripting.

Вид

Основные

See App FeaturePython for the basic view properties.

Скрытые свойства Вида

  • ВидProxy (PythonObject): a custom view provider class associated with this object. This only exists for the Python version. See Scripting.

Наследование

A Std Group is formally an instance of the class App::DocumentObjectGroup, whose parent is the basic App DocumentObject (App::DocumentObject class), and is augmented with a Group extension.

FreeCAD core objects.svg

Simplified diagram of the relationships between the core objects in the program. The App::DocumentObjectGroup class is a simple container which uses the Group extension to be able to hold any type of object.

Программирование

См. так же: Основы составления скриптов FreeCAD, и создание объектов через скрипт.

See Part Feature for the general information on adding objects to the document.

A Std Group (App DocumentObjectGroup) is created with the addObject() method of the document. Once a Group exists, other objects can be added to it with the addObject() or addObjects() methods of this Group.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroup", "Group")

bod1 = App.ActiveDocument.addObject("PartDesign::Body", "Body")
bod2 = App.ActiveDocument.addObject("Part::Box", "Box")

obj.addObjects([bod1, bod2])
App.ActiveDocument.recompute()

This basic App::DocumentObjectGroup doesn't have a Proxy object so it can't be fully used for sub-classing.

Therefore, for Python subclassing, you should create the App::DocumentObjectGroupPython object.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroupPython", "Name")
obj.Label = "Custom label"

For example, a FEM Analysis is an App::DocumentObjectGroupPython object with a custom icon and additional properties.

Ссылки